---
title: HTMLTableElement.rows
slug: Web/API/HTMLTableElement/rows
tags:
  - API
  - HTML DOM
  - HTMLTableElement
  - NeedsBrowserCompatibility
  - NeedsSpecTable
  - Property
  - Read-only
  - Reference
  - Table Rows
  - rows
---
<div>
<div>
<div>{{APIRef("HTML DOM")}}</div>
</div>
</div>

<p><span class="seoSummary">The read-only {{domxref("HTMLTableElement")}} property <code><strong>rows</strong></code> returns a live {{domxref("HTMLCollection")}} of all the rows in the table, including the rows contained within any {{HTMLElement("thead")}}, {{HTMLElement("tfoot")}}, and {{HTMLElement("tbody")}} elements.</span></p>

<p>Although the property itself is read-only, the returned object is live and allows the modification of its content.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLCollectionObject</em> = <em>table</em>.rows;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("HTMLCollection")}} providing a live-updating list of the {{domxref("HTMLTableRowElement")}} objects representing all of the {{HTMLElement("tr")}} elements contained in the table. This provides quick access to all of the table rows, without having to manually search for them.</p>

<h2 id="Example">Example</h2>

<pre class="brush:js">myrows = mytable.rows;
firstRow = mytable.rows[0];
lastRow = mytable.rows.item(mytable.rows.length-1);</pre>

<p>This demonstrates how you can use both array syntax (line 2) and the {{domxref("HTMLCollection.item()")}} method (line 3) to obtain individual rows in the table.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-table-rows', 'HTMLTableElement: rows')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableElement.rows")}}</p>
</div>
